Backups
All operations require authentication.
List the backups of an OverTheBox serviceProduction
List the backups of an OverTheBox service. Returns the IDs of the configuration backups of the device of the service.
Path parameters
The internal name of your overTheBox offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ backups \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Back up an OverTheBox deviceProduction
Back up an OverTheBox device. Creates the device action that generates a configuration backup of the device, and returns that action.
Path parameters
The internal name of your overTheBox offer
Response
The id of the action
Date of creation of the action
The details of the action
The name of the action
The status of the action
doingdoneerrortodoDate of execution of the action
Last time the action was updated
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ backup \
-H "authorization: Bearer $OVH_TOKEN"{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}
Restore a backup on an OverTheBox deviceProduction
Restore a backup on an OverTheBox device. Creates the group of device actions that restore the given backup on the device, and returns them.
Path parameters
The internal name of your overTheBox offer
Request body (required)
The id of the backup to restore
Response
The id of the action
Date of creation of the action
The details of the action
The name of the action
The status of the action
doingdoneerrortodoDate of execution of the action
Last time the action was updated
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ restoreBackup \
-H "authorization: Bearer $OVH_TOKEN"[ { "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a backup of an OverTheBox serviceProduction
Get a backup of an OverTheBox service. Returns the creation date of a configuration backup and the ID of the device action that triggered it.
Path parameters
The id of the backup
The internal name of your overTheBox offer
Response
The id of the backup
Date of the creation of the backup
The id of the device action that triggered the backup
Example uses backupId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ backups/ {backupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "backupId": "string", "createdAt": "2024-01-01T12:00:00Z", "deviceActionId": "string"}
Delete a backup of an OverTheBox serviceProduction
Delete a backup of an OverTheBox service. Removes the configuration backup. It can no longer be restored on the device.
Path parameters
The id of the backup
The internal name of your overTheBox offer
Response
Example uses backupId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ backups/ {backupId} \
-H "authorization: Bearer $OVH_TOKEN"